package nc.vo.hi.cloud.train;


import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonProperty;

import nc.vo.pub.SuperVO;

/**
 * 知识列表
 * @author showm
 *
 */
public class CloudKnowledgesVO extends SuperVO {
	private String pk_knowledges;
	private String id;//知识id
	private String title;//作品名称
	private String knowledgno;//知识编号
	private String knowledgeType;//知识类型，DocumentKnowledge、VideoKnowledge、SourceCodeKnowledge, CourseKnowledge, XuanYes
	private String photoUrl;//作品图片
	private String fileType;//文件类型：程序定义枚举(Article、PPT、Word、Video、SourceCode、PDF、Excel、CoursePackage、XuanYes、Image、EBookCourse)其中 CoursePackage代表课程包
	private String fileID;//文件id
	private String knowledgeUrl;//访问当前知识的页面相对地址
	private String uploadDate;//创建日期
	private BigDecimal standardStudyScore;//标准学分
	private BigDecimal tandardStudyHours;//标准学时（按分钟）
	private BigDecimal isSupportApp;//是否支持客户端
	private String summary;//内容的描述（不含HTML代码）
	private String knowledgeContent;//知识的内容
	private String attachementUrl;//附件地址
	private String uploadUserName;//创建用户姓名
	private String knowledgeFileUrl;//知识文件的地址（相对地址)
	private String knowledgeCatalogId;//知识所在目录的ID
	private BigDecimal isdeleted;//是否删除
	private BigDecimal isvisiableForuser;//是否可见
	private String h5Type;//knowledgeType 的转换值
	private String distributeSourceType;//分发来源类型: 0 运营平台; 2 商城
	private String newVersionUploaddate;//新版本更新时间
	private BigDecimal totalcommentscore;//总评分
	private BigDecimal totalcommentscorecount;//评价次数
	private BigDecimal averagecommentscore;//评价平均分
	private String lecturesteachername;//讲师
	private String lecturesTeacherId;//讲师id
	private String author;//作者
	private String authorId;//作者id
	private BigDecimal supportcount;//点赞数
	private BigDecimal readcount;//浏览数
	private BigDecimal favoritedcount;//收藏数
	private String cloudStatus;//知识状态:FileConverting 文件转换中;Approving 审核中;Unapproved 审核不通过;Approved 审核通过（课程包为已发布）;Draft 设计中
	private String expiredDate;//过期时间
	private String updateDate;//更新时间
	private String contributorsUserNo;//贡献者工号
	private String contributorsName;//贡献者姓名
	private String contributorsId;//贡献者id
	private String h5KnowledgeUrl;//知识的h5地址（相对地址）
	
	public String getPk_knowledges() {
		return pk_knowledges;
	}
	public void setPk_knowledges(String pk_knowledges) {
		this.pk_knowledges = pk_knowledges;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getKnowledgno() {
		return knowledgno;
	}
	public void setKnowledgno(String knowledgno) {
		this.knowledgno = knowledgno;
	}
	public String getKnowledgeType() {
		return knowledgeType;
	}
	public void setKnowledgeType(String knowledgeType) {
		this.knowledgeType = knowledgeType;
	}
	public String getPhotoUrl() {
		return photoUrl;
	}
	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}
	public String getFileType() {
		return fileType;
	}
	public void setFileType(String fileType) {
		this.fileType = fileType;
	}
	public String getFileID() {
		return fileID;
	}
	public void setFileID(String fileID) {
		this.fileID = fileID;
	}
	public String getKnowledgeUrl() {
		return knowledgeUrl;
	}
	public void setKnowledgeUrl(String knowledgeUrl) {
		this.knowledgeUrl = knowledgeUrl;
	}
	public String getUploadDate() {
		return uploadDate;
	}
	public void setUploadDate(String uploadDate) {
		this.uploadDate = uploadDate;
	}
	public BigDecimal getStandardStudyScore() {
		return standardStudyScore;
	}
	public void setStandardStudyScore(BigDecimal standardStudyScore) {
		this.standardStudyScore = standardStudyScore;
	}
	public BigDecimal getTandardStudyHours() {
		return tandardStudyHours;
	}
	public void setTandardStudyHours(BigDecimal tandardStudyHours) {
		this.tandardStudyHours = tandardStudyHours;
	}
	public BigDecimal getIsSupportApp() {
		return isSupportApp;
	}
	public void setIsSupportApp(BigDecimal isSupportApp) {
		this.isSupportApp = isSupportApp;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getKnowledgeContent() {
		return knowledgeContent;
	}
	public void setKnowledgeContent(String knowledgeContent) {
		this.knowledgeContent = knowledgeContent;
	}
	public String getAttachementUrl() {
		return attachementUrl;
	}
	public void setAttachementUrl(String attachementUrl) {
		this.attachementUrl = attachementUrl;
	}
	public String getUploadUserName() {
		return uploadUserName;
	}
	public void setUploadUserName(String uploadUserName) {
		this.uploadUserName = uploadUserName;
	}
	public String getKnowledgeFileUrl() {
		return knowledgeFileUrl;
	}
	public void setKnowledgeFileUrl(String knowledgeFileUrl) {
		this.knowledgeFileUrl = knowledgeFileUrl;
	}
	public String getKnowledgeCatalogId() {
		return knowledgeCatalogId;
	}
	public void setKnowledgeCatalogId(String knowledgeCatalogId) {
		this.knowledgeCatalogId = knowledgeCatalogId;
	}
	public BigDecimal getIsdeleted() {
		return isdeleted;
	}
	public void setIsdeleted(BigDecimal isdeleted) {
		this.isdeleted = isdeleted;
	}
	public BigDecimal getIsvisiableForuser() {
		return isvisiableForuser;
	}
	public void setIsvisiableForuser(BigDecimal isvisiableForuser) {
		this.isvisiableForuser = isvisiableForuser;
	}
	public String getH5Type() {
		return h5Type;
	}
	public void setH5Type(String h5Type) {
		this.h5Type = h5Type;
	}
	public String getDistributeSourceType() {
		return distributeSourceType;
	}
	public void setDistributeSourceType(String distributeSourceType) {
		this.distributeSourceType = distributeSourceType;
	}
	public String getNewVersionUploaddate() {
		return newVersionUploaddate;
	}
	public void setNewVersionUploaddate(String newVersionUploaddate) {
		this.newVersionUploaddate = newVersionUploaddate;
	}
	public BigDecimal getTotalcommentscore() {
		return totalcommentscore;
	}
	public void setTotalcommentscore(BigDecimal totalcommentscore) {
		this.totalcommentscore = totalcommentscore;
	}
	public BigDecimal getTotalcommentscorecount() {
		return totalcommentscorecount;
	}
	public void setTotalcommentscorecount(BigDecimal totalcommentscorecount) {
		this.totalcommentscorecount = totalcommentscorecount;
	}
	public BigDecimal getAveragecommentscore() {
		return averagecommentscore;
	}
	public void setAveragecommentscore(BigDecimal averagecommentscore) {
		this.averagecommentscore = averagecommentscore;
	}
	public String getLecturesteachername() {
		return lecturesteachername;
	}
	public void setLecturesteachername(String lecturesteachername) {
		this.lecturesteachername = lecturesteachername;
	}
	public String getLecturesTeacherId() {
		return lecturesTeacherId;
	}
	public void setLecturesTeacherId(String lecturesTeacherId) {
		this.lecturesTeacherId = lecturesTeacherId;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getAuthorId() {
		return authorId;
	}
	public void setAuthorId(String authorId) {
		this.authorId = authorId;
	}
	public BigDecimal getSupportcount() {
		return supportcount;
	}
	public void setSupportcount(BigDecimal supportcount) {
		this.supportcount = supportcount;
	}
	public BigDecimal getReadcount() {
		return readcount;
	}
	public void setReadcount(BigDecimal readcount) {
		this.readcount = readcount;
	}
	public BigDecimal getFavoritedcount() {
		return favoritedcount;
	}
	public void setFavoritedcount(BigDecimal favoritedcount) {
		this.favoritedcount = favoritedcount;
	}
	public String getCloudStatus() {
		return cloudStatus;
	}
	public void setCloudStatus(String cloudStatus) {
		this.cloudStatus = cloudStatus;
	}
	public String getExpiredDate() {
		return expiredDate;
	}
	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}
	public String getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}
	public String getContributorsUserNo() {
		return contributorsUserNo;
	}
	public void setContributorsUserNo(String contributorsUserNo) {
		this.contributorsUserNo = contributorsUserNo;
	}
	public String getContributorsName() {
		return contributorsName;
	}
	public void setContributorsName(String contributorsName) {
		this.contributorsName = contributorsName;
	}
	public String getContributorsId() {
		return contributorsId;
	}
	public void setContributorsId(String contributorsId) {
		this.contributorsId = contributorsId;
	}
	public String getH5KnowledgeUrl() {
		return h5KnowledgeUrl;
	}
	public void setH5KnowledgeUrl(String h5KnowledgeUrl) {
		this.h5KnowledgeUrl = h5KnowledgeUrl;
	}
	public String getParentPKFieldName() {
		return null;
	}
	public String getPKFieldName() {
		return "pk_knowledges";
	}

	public String getTableName() {
		return "cloud_knowledges";
	}
}
